package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-10-18
 */
public enum MusicSortType implements BaseEnum<String, MusicSheetType> {

    TOP("推荐曲目"), // 置顶 曲目排序值展示
    HOT("最热曲目"), // 首次通过审核时间倒序展示
    NEW("最新曲目"); // 乐谱收藏数量倒序展示

    @EnumValue
    private String code;

    private String msg;

    MusicSortType(String msg) {
        this.msg = msg;
        this.code = this.name();
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }

}
